# -*- coding: utf-8 -*-
"""Astrom.

This file is automatically generated. Do not modify!
"""

from micado.main.Tab import Tab, persistent
from micado.recipes.McdImgAstrom import McdImgAstrom
from micado.dataitems.DetrendFinalSiaiBase import DetrendFinalSiaiBase
from micado.dataitems.AstromRef import AstromRef
from micado.dataitems.DistortionWam import DistortionWam
from micado.dataitems.DistortionElt import DistortionElt
from micado.requirements.DPS3140SCI import DPS3140SCI
from micado.dataitems.AstromQC import AstromQC
from micado.dataitems.AstromExtension import AstromExtension


class Astrom(Tab):
    """Astrometric solution. One per detector."""

    dummy_astrom = persistent("dummy [][None]", int, 42)

    mjdobs = persistent(
        "Modified Julian Day of the start of the exposure. The MJD is related "
        "to the Julian Day (JD) via the formula: MJD = JD-2400000.5 The comment"
        " includes a civil representation of the date and time. 8 decimals are "
        "required for a precision of one millisecond, 5 decimals for a "
        "precision of one second. [MJD-OBS][]",
        float,
        0.0,
    )

    recipe = persistent("The recipe [][None]", McdImgAstrom, None)

    detrend = persistent("Detrended image [][None]", DetrendFinalSiaiBase, None)

    astromref = persistent("Astrometric Reference [][None]", AstromRef, None)

    distortion_wam = persistent(
        "Distortion from WAM to detector. [][None]", DistortionWam, None
    )

    distortion_elt = persistent(
        "Distortion from Atmosphere to WAM. [][None]", DistortionElt, None
    )

    requirement = persistent("None [][None]", DPS3140SCI, None)

    qc = persistent("None [][None]", AstromQC, None)

    extensions = persistent("None [][None]", AstromExtension, [])
