# -*- coding: utf-8 -*-
"""Atmosphere.

This file is automatically generated. Do not modify!
"""

from micado.main.HardwareThing import HardwareThing, persistent
from micado.hardware.AtmosphericTERCurve import AtmosphericTERCurve
from micado.hardware.AtmosphericDispersion import AtmosphericDispersion


class Atmosphere(HardwareThing):
    """The Atmosphere."""

    dummy_atmosphere = persistent("dummy [][None]", int, 42)

    altitude = persistent("Height of telescope [ATM ALTITUDE][m]", float, 3060.0)

    longitude = persistent("None [][None]", float, 0.0)

    latitude = persistent(
        "Latitude of telescope [ATM LATITUDE][degree]", float, -24.5899
    )

    temperature = persistent("None [][None]", float, 0.0)

    humidity = persistent("Humidity of atmosphere [ATM HUMIDITY][TODO]", float, 0.1)

    pressure = persistent("Pressure of atmosphere [ATM PRESSURE][TODO]", float, 0.755)

    pwv = persistent("PWV [ATM PWV][TODO]", float, 2.5)

    tercurve = persistent(
        "atmospheric emission and transmission [][None]", AtmosphericTERCurve, None
    )

    dispersion = persistent(
        "AtmosphericDispersion [][None]", AtmosphericDispersion, None
    )
