# -*- coding: utf-8 -*-
"""Instrument.

This file is automatically generated. Do not modify!
"""

from micado.main.HardwareThing import HardwareThing, persistent
from micado.hardware.FilterCurve import FilterCurve
from micado.hardware.PupilWheel import PupilWheel
from micado.hardware.SurfaceList import SurfaceList
from micado.hardware.NonCommonPathAberration import NonCommonPathAberration


class Instrument(HardwareThing):
    """The instrument."""

    dummy_instrument = persistent("dummy [][None]", int, 42)

    name = persistent("Name of instrument [INS NAME][None]", str, "")

    ocs__pxscale = persistent("Pixel scale [OCS PXSCALE][arcsec/pix]", float, 0.004)

    plate_scale = persistent("None [][None]", float, 0.0)

    drot = persistent("Derotator angle [INS DROT][degree]", float, 0.0)

    filtercurve1 = persistent("The first filter wheel [][None]", FilterCurve, None)

    filtercurve2 = persistent("The second filter wheel [][None]", FilterCurve, None)

    pupilcurve = persistent("The pupil wheel [][None]", PupilWheel, None)

    static_mirrors = persistent("Static Mirrors [][None]", SurfaceList, None)

    mode_mirrors = persistent("Mirrors for specific mode [][None]", SurfaceList, None)

    ncpa = persistent(
        "Non Common Path Aberrations [][None]", NonCommonPathAberration, None
    )
