# -*- coding: utf-8 -*-
"""Tests for committing DataItems."""

import tempfile

from common.database.DataObject import DataObject
from common.database.DBSelect import Select
from micado.main.DataItem import DataItem


def create_dataitem():
    """Create a DataItem."""
    di3 = DataItem()
    fn = tempfile.NamedTemporaryFile(suffix=".txt").name
    di3.filename = fn
    di3.commit()
    del di3
    return fn


def test_commit():
    """Test committing this."""
    fn = create_dataitem()
    dos: Select = DataObject.filename == fn
    ldos = list(dos)
    assert len(ldos) == 1, "Bad len"
    do = ldos[0]
    assert isinstance(do, DataItem), "object is not a DataItem"
